package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedFeed;
import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.breed.service.IBreedFeedService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 采食计量 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-feed")
@CrossOrigin
public class BreedFeedController {
    @Autowired
    private IBreedFeedService feedService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return feedService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedFeed breedFeed) {
        return feedService.add(breedFeed);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedFeed breedFeed) {
        return feedService.edit(breedFeed);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return feedService.remove(paramsMap);
    }

    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        return feedService.list(paramsMap);
    }

}
