package com.huimv.farm.musk.breed.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.huimv.farm.musk.breed.entity.BreedMuskInfo;
import com.huimv.farm.musk.breed.service.IBreedMuskInfoService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 档案登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-musk-info")
@CrossOrigin
public class BreedMuskInfoController {
    @Autowired
    private IBreedMuskInfoService muskInfoService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return muskInfoService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedMuskInfo muskInfo) {
        return muskInfoService.add(muskInfo);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedMuskInfo muskInfo) {
        return muskInfoService.edit(muskInfo);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return muskInfoService.remove(paramsMap);
    }


    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String muskId = paramsMap.get("muskId");
        String stage = paramsMap.get("stage");
        QueryWrapper<BreedMuskInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).eq("is_leave", 0)
                .eq(StringUtils.isNotBlank(muskId), "musk_id", muskId)
                .eq(StringUtils.isNotBlank(stage),"stage",stage);
        List<BreedMuskInfo> list = muskInfoService.list(queryWrapper);
        if (list.size() == 0) {
            return new Result(10001, "", false);
        } else {
            return new Result(ResultCode.SUCCESS,list);
        }

    }

    //谱系追踪
    @RequestMapping("/pedigree")
    public Result pedigree(@RequestBody Map<String, String> paramsMap) {
        return muskInfoService.pedigree(paramsMap);
    }

    //app档案登记页面
    @RequestMapping("/appMuskInfo")
    public Result appMuskInfo(@RequestBody Map<String, String> paramsMap) {
        return muskInfoService.appMuskInfo(paramsMap);
    }

    //app使用未绑定的list
    @RequestMapping("/listApp")
    public Result listApp(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String isBatch = paramsMap.get("isBatch");
        QueryWrapper<BreedMuskInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id",farmId);
        if ("0".equals(isBatch)) {
            queryWrapper.eq("is_batch", 0);
        } else {
            queryWrapper.eq("is_batch", 1);
        }


        return new Result(ResultCode.SUCCESS, muskInfoService.list(queryWrapper));
    }
}
