package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedMuskInfo;
import com.huimv.farm.musk.breed.entity.BreedMuskStock;
import com.huimv.farm.musk.breed.service.IBreedMuskStockService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 存栏统计 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-musk-stock")
@CrossOrigin
public class BreedMuskStockController {

    @Autowired
    private IBreedMuskStockService stockService;

    //大屏存栏结构统计
    @RequestMapping("/list")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return stockService.listPage(paramsMap);
    }

    //存栏数量变化曲线
    @RequestMapping("/listDetail")
    public Result listDetail(@RequestBody Map<String, String> paramsMap) {
        return stockService.listDetail(paramsMap);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedMuskStock muskStock) {
        return stockService.edit(muskStock);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return stockService.remove(paramsMap);
    }

    //健康监测横栏
    @RequestMapping("/listTop")
    public Result listTop(@RequestBody Map<String, String> paramsMap) {
        return stockService.listTop(paramsMap);
    }

    //养殖档案横栏
    @RequestMapping("/listStock")
    public Result listStock(@RequestBody Map<String, String> paramsMap) {
        return stockService.listStock(paramsMap);
    }
}
