package com.huimv.farm.musk.breed.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.breed.entity.BreedMuskStock;
import com.huimv.farm.musk.breed.entity.BreedVaccination;
import com.huimv.farm.musk.breed.service.IBreedVaccinationService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 疫苗接种 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-vaccination")
@CrossOrigin
public class BreedVaccinationController {
    @Autowired
    private IBreedVaccinationService vaccinationService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return vaccinationService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedVaccination vaccination) {
        return vaccinationService.add(vaccination);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedVaccination vaccination) {
        return vaccinationService.edit(vaccination);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return vaccinationService.remove(paramsMap);
    }


    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        QueryWrapper<BreedVaccination> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).orderByDesc("create_time");
        return new Result(ResultCode.SUCCESS, vaccinationService.list(queryWrapper));
    }

    @RequestMapping("/listCount")
    public Result listCount(@RequestBody Map<String, String> paramsMap) {
        return vaccinationService.listCount(paramsMap);
    }
}
