package com.huimv.farm.musk.breed.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 转舍登记
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("breed_transfer")
public class BreedTransfer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 转出位置名称
     */
    private String fromBuildName;

    /**
     * 转出位置id
     */
    private Integer fromBuildId;

    /**
     * 转入位置名称
     */
    private String toBuildName;

    /**
     * 转入位置id
     */
    private Integer toBuildId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 林麝id
     */
    private String muskId;

    /**
     * 转舍原因
     */
    private String reason;


}
