package com.huimv.farm.musk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 环境阈值
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("dev_threshold")
public class DevThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 温度上限
     */
    private String tempUpper;

    /**
     * 温度下限
     */
    private String tempDown;

    /**
     * 湿度上限
     */
    private String humUpper;

    /**
     * 湿度下限
     */
    private String humDown;

    /**
     * 气体浓度上限
     */
    private String gasUpper;

    /**
     * 气体浓度下限
     */
    private String gasDown;

    /**
     * 用水上限
     */
    private String waterUpper;

    /**
     * 用水下限
     */
    private String waterDown;

    /**
     * 用电上线
     */
    private String elecUpper;

    /**
     * 用电下限
     */
    private String elecDown;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 负责人id
     */
    private Integer userId;

    /**
     * 负责人名字
     */
    private String userName;


}
