package com.huimv.farm.musk.health.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 健康阈值设置
 * </p>
 *
 * @author author
 * @since 2024-09-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("health_threshold")
public class HealthThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 体温上限
     */
    private String tempUpper;

    /**
     * 体温下限
     */
    private String tempDown;

    /**
     * 运动量上限
     */
    private String actUpper;

    /**
     * 运动量下限
     */
    private String actDown;

    /**
     * 1春2夏3秋4冬
     */
    private Integer season;

    /**
     * 日龄
     */
    private Integer dayNum;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 负责人
     */
    private String user;


    private String stage;


}
