package com.huimv.farm.musk.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.SysCamera;
import com.huimv.farm.musk.entity.SysCameraArea;
import com.huimv.farm.musk.mapper.SysCameraAreaMapper;
import com.huimv.farm.musk.mapper.SysCameraMapper;
import com.huimv.farm.musk.service.ISysCameraAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Service
public class SysCameraAreaServiceImpl extends ServiceImpl<SysCameraAreaMapper, SysCameraArea> implements ISysCameraAreaService {
    @Autowired
    private SysCameraMapper cameraMapper;


    @Override
    public Result cameraList(Map<String, Object> params) {

        Integer current = (Integer) params.get("current");
        Integer size = (Integer) params.get("size");
        String areaName = (String) params.get("areaName");
        String farmId = (String) params.get("farmId");

        IPage<SysCameraArea> list = page(new Page<>(current, size), new QueryWrapper<SysCameraArea>().like(StringUtils.isNotBlank(areaName), "area_name", areaName).eq("farm_id", farmId).orderByAsc("sort"));
        return new Result(ResultCode.SUCCESS, list);
    }

    @Override
    public Result removeIds(List<Integer> ids, String farmId) {
        for (Integer id : ids) {
            SysCameraArea byId = this.getById(id);

            Integer areaId = cameraMapper.selectCount(new QueryWrapper<SysCamera>().eq("area_id", id).eq("farm_id", farmId));
            if (areaId > 0) {
                return new Result(10001, "删除失败,区域" + byId.getAreaName() + "仍然存在摄像头", false);
            }
        }
        this.removeByIds(ids);
        return new Result(10000, "删除成功", true);
    }

    @Override
    public Result lsitAndCamera(Integer farmId) {
        List endList = new ArrayList();

        List<SysCameraArea> cameraAreaList = this.list(new QueryWrapper<SysCameraArea>().eq("farm_id", farmId).orderByAsc("sort"));

        for (SysCameraArea cameraArea : cameraAreaList) {
            Map map = new HashMap();
            map.put("cameraName", cameraArea.getAreaName());
            map.put("id", cameraArea.getId());
            map.put("cameraList", cameraMapper.selectList(new QueryWrapper<SysCamera>().eq("area_id", cameraArea.getId()).orderByAsc("sort")));
            endList.add(map);
        }
        return new Result(ResultCode.SUCCESS, endList);
    }

    @Override
    public Result listScreenCamera(Integer farmId) {
        List endList = new ArrayList();
        List<SysCameraArea> cameraAreaList = this.list(new QueryWrapper<SysCameraArea>().eq("farm_id", farmId).eq("run_status",1).orderByAsc("sort"));

        for (SysCameraArea cameraArea : cameraAreaList) {
            Map map = new HashMap();
            map.put("cameraName", cameraArea.getAreaName());
            map.put("id", cameraArea.getId());
            map.put("cameraList", cameraMapper.selectList(new QueryWrapper<SysCamera>().eq("area_id", cameraArea.getId()).eq("run_status",1).orderByAsc("sort")));
            endList.add(map);
        }
        return new Result(ResultCode.SUCCESS, endList);
    }


}
